﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerController : MonoBehaviour {

    public Rigidbody player;
    public Vector3 JumpForce = new Vector3(0, 0, 0);
    public bool grounded = false;

    // Use this for initialization
    void Start () {
        if (player == null)
        {
            Debug.LogError("ERROR: Falta enlazar el jugador!!");
            return;
        }
	}

    void Update()
    {
        if (transform.position.y < 1.20f)
        {
            grounded = true;
        }
        else
        {
            grounded = false;
        }
    }

    public void Jump()
    {
        if (grounded)
        {
            player.AddForce(JumpForce, ForceMode.Impulse);
            grounded = false;
        }
    }

    public void OnCollisionEnter(Collision col)
    {
        if (col.gameObject.layer == LayerMask.NameToLayer("Sea"))
        {
            grounded = true;
        }
    }

    public void OnCollisionExit(Collision col)
    {
        //if (col.gameObject.layer == LayerMask.NameToLayer("Sea"))
        //{
        //    grounded = false;
        //}
        //Debug.Log("Despegando");

    }
}

