﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class WaveCrash : MonoBehaviour {

    public GameManager gameManager;
    public GameObject player;

    private Vector3 selfPosition;

	// Use this for initialization
	void Start () {
        selfPosition = this.transform.position;
	}
	
	// Update is called once per frame
	void Update () {
        if (player != null)
        {
            selfPosition.y = player.transform.position.y;
            this.transform.position = selfPosition;
        }
	}

    //public void OnCollisionEnter(Collision col)
    //{
    //    if (col.gameObject.layer == LayerMask.NameToLayer("Sea"))
    //    {
    //        if (gameManager != null)
    //        {
    //            gameManager.PlayerDies();
    //        }
    //    }
    //}

    void OnTriggerEnter(Collider col)
    {
        if (col.gameObject.layer == LayerMask.NameToLayer("Sea"))
        {
            if (gameManager != null)
            {
                gameManager.PlayerDies();
            }
            //Destroy(this.gameObject);
        }
    }
}
