﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CloudManager : MonoBehaviour {

    public Vector3 Speed = new Vector3();
    public GameObject[] SpawnPoints;

	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
        transform.position += Speed * Time.deltaTime;
	}


    public void OnBecameInvisible()
    {
        if (SpawnPoints.Length <= 0)
        {
            return;
        }
        int index = Mathf.FloorToInt(Random.Range(0, SpawnPoints.Length));
        if (index < 0)
        {
            index = 0;
        }
        if (SpawnPoints.Length > 0 && index >= SpawnPoints.Length)
        {
            index = SpawnPoints.Length - 1;
        }
        if (SpawnPoints.Length > 0)
        {
            transform.position = SpawnPoints[index].transform.position;
        }
    }
    
}
